Bug 93446 - update port net-mgmt/nefu to 1.2
Summary: update port net-mgmt/nefu to 1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-16 18:00 UTC by babak
Modified: 2006-02-20 22:25 UTC (History)
0 users

See Also:


Attachments
nefu.patch (1.88 KB, patch)
2006-02-16 18:00 UTC, babak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description babak 2006-02-16 18:00:18 UTC

- update to 1.2
- take maintainership
- add OPTIONS
Comment 1 Emanuel Haupt freebsd_committer 2006-02-18 11:32:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2006-02-18 12:03:13 UTC
State Changed
From-To: open->feedback

The port does not build on 4.x, do you think you can fix it?
Comment 3 babak 2006-02-19 19:56:34 UTC
--- nefu.patch begins here ---
diff -ruN nefu.orig/Makefile nefu/Makefile
--- nefu.orig/Makefile	Sun Feb 19 21:18:44 2006
+++ nefu/Makefile	Sun Feb 19 22:20:25 2006
@@ -6,28 +6,47 @@
 #
 
 PORTNAME=	nefu
-PORTVERSION=	0.9.6
+PORTVERSION=	1.2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	http://rsug.itd.umich.edu/software/nefu/files/
+EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	babak@farrokhi.net
 COMMENT=	A network monitoring daemon
 
-GNU_CONFIGURE=	yes
-CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ENV=	CPPFLAGS=\"-I${LOCALBASE}/include\" \\
-		LIBS=\"-L${LOCALBASE}/lib\"
-CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE} --disable-html
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ENV=		CPPFLAGS=\"-I${LOCALBASE}/include\" \\
+			LIBS=\"-L${LOCALBASE}/lib\" \\
+			YACC=${YACC} \\
+			OPENSSL_CFLAGS=\"-I${OPENSSLINC}\" \\
+			OPENSSL_LIBS=\"-L${OPENSSLLIB} -lcrypto -lssl\"
+CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE} --without-html --without-shelltests
 USE_OPENSSL=	yes
 USE_AUTOTOOLS=	libtool:15
+OPTIONS=	LDAP \"Enable OpenLDAP support\" off
 
 MAN1=		nefu.1
 MAN4=		nefu.conf.4
 PLIST_FILES=	bin/nefu
 
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_LDAP)
+USE_OPENLDAP=	yes
+CONFIGURE_ARGS+=	--with-ldap=${LOCALBASE}/lib
+.else
+CONFIGURE_ARGS+=	--without-ldap
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e \'s|-lsasl2||\' \\
+		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e \'s|-lssl|-lssl -lcrypto|\' \\
+		${WRKSRC}/configure
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/nefu.1 ${PREFIX}/man/man1
 	${INSTALL_MAN} ${WRKSRC}/nefu.conf.4 ${PREFIX}/man/man4
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN nefu.orig/distinfo nefu/distinfo
--- nefu.orig/distinfo	Sun Feb 19 21:18:44 2006
+++ nefu/distinfo	Sun Feb 19 21:22:40 2006
@@ -1,3 +1,3 @@
-MD5 (nefu-0.9.6.tar.gz) = 430f9a3d2ea52f865c47895c93375ca3
-SHA256 (nefu-0.9.6.tar.gz) = e4795728c79fbb2ec14c82cb4a6da1441550fb1337cc899b74bc1b6af3630c09
-SIZE (nefu-0.9.6.tar.gz) = 231745
+MD5 (nefu-1.2.tgz) = 93491f365a27f05da389a95d0255a45c
+SHA256 (nefu-1.2.tgz) = 9edd4bcb702fe7335abad9393b6bbe6df9200512de30517eee75da1e832b2247
+SIZE (nefu-1.2.tgz) = 308978
--- nefu.patch ends here ---

-- 
Babak Farrokhi
babak@farrokhi.net
Comment 4 babak 2006-02-20 14:31:46 UTC
Emanuel,

This one should work:

--- nefu.patch begins here ---
diff -ruN nefu.orig/Makefile nefu/Makefile
--- nefu.orig/Makefile	Sun Feb 19 21:18:44 2006
+++ nefu/Makefile	Sun Feb 19 22:20:25 2006
@@ -6,28 +6,47 @@
 #
 
 PORTNAME=	nefu
-PORTVERSION=	0.9.6
+PORTVERSION=	1.2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	http://rsug.itd.umich.edu/software/nefu/files/
+EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	babak@farrokhi.net
 COMMENT=	A network monitoring daemon
 
-GNU_CONFIGURE=	yes
-CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ENV=	CPPFLAGS=\"-I${LOCALBASE}/include\" \\
-		LIBS=\"-L${LOCALBASE}/lib\"
-CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE} --disable-html
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ENV=		CPPFLAGS=\"-I${LOCALBASE}/include\" \\
+			LIBS=\"-L${LOCALBASE}/lib\" \\
+			YACC=${YACC} \\
+			OPENSSL_CFLAGS=\"-I${OPENSSLINC}\" \\
+			OPENSSL_LIBS=\"-L${OPENSSLLIB} -lcrypto -lssl\"
+CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE} --without-html
--without-shelltests
 USE_OPENSSL=	yes
 USE_AUTOTOOLS=	libtool:15
+OPTIONS=	LDAP \"Enable OpenLDAP support\" off
 
 MAN1=		nefu.1
 MAN4=		nefu.conf.4
 PLIST_FILES=	bin/nefu
 
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_LDAP)
+USE_OPENLDAP=	yes
+CONFIGURE_ARGS+=	--with-ldap=${LOCALBASE}/lib
+.else
+CONFIGURE_ARGS+=	--without-ldap
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e \'s|-lsasl2||\' \\
+		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e \'s|-lssl|-lssl -lcrypto|\' \\
+		${WRKSRC}/configure
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/nefu.1 ${PREFIX}/man/man1
 	${INSTALL_MAN} ${WRKSRC}/nefu.conf.4 ${PREFIX}/man/man4
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN nefu.orig/distinfo nefu/distinfo
--- nefu.orig/distinfo	Sun Feb 19 21:18:44 2006
+++ nefu/distinfo	Sun Feb 19 21:22:40 2006
@@ -1,3 +1,3 @@
-MD5 (nefu-0.9.6.tar.gz) = 430f9a3d2ea52f865c47895c93375ca3
-SHA256 (nefu-0.9.6.tar.gz) =
e4795728c79fbb2ec14c82cb4a6da1441550fb1337cc899b74bc1b6af3630c09
-SIZE (nefu-0.9.6.tar.gz) = 231745
+MD5 (nefu-1.2.tgz) = 93491f365a27f05da389a95d0255a45c
+SHA256 (nefu-1.2.tgz) = 
+9edd4bcb702fe7335abad9393b6bbe6df9200512de30517eee75da1e832b2247
+SIZE (nefu-1.2.tgz) = 308978
--- nefu.patch ends here ---
Comment 5 Emanuel Haupt freebsd_committer 2006-02-20 18:53:29 UTC
On Mon, 20 Feb 2006 18:01:46 +0330
"Babak Farrokhi" <babak@rasana.net> wrote:

> Emanuel,
> 
> This one should work:
> [...]

unfortunately not:

# patch -p1 < /tmp/nefu
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN nefu.orig/Makefile nefu/Makefile
|--- nefu.orig/Makefile Sun Feb 19 21:18:44 2006
|+++ nefu/Makefile      Sun Feb 19 22:20:25 2006
--------------------------
Patching file Makefile using Plan A...
patch: **** malformed patch at line 59: -.include <bsd.port.mk>

Against what version did you build the patch? Please build it against
the current version:

ehaupt@beaver:/usr/ports/net-mgmt/nefu $ md5 *
MD5 (Makefile) = 5c39708772b2b0fab5bd73a35abea2f6
MD5 (distinfo) = 6ef25abd12230f46a554b4e799eec47c
MD5 (pkg-descr) = 485307915885dbb134f38229f274d44f

Emanuel
Comment 6 babak 2006-02-20 22:04:18 UTC
Emanuel,

Could you please check this one?
http://www.unixified.net/patches/nefu.patch

I checked this against e fresh cvs checkout, so I believe this should work
fine.

--
Babak Farrokhi 

> -----Original Message-----
> From: Emanuel Haupt [mailto:ehaupt@FreeBSD.org] 
> Sent: Monday, February 20, 2006 10:23 PM
> To: Babak Farrokhi
> Cc: bug-followup@FreeBSD.org; babak@farrokhi.net
> Subject: Re: ports/93446: update port net-mgmt/nefu to 1.2
> 
> On Mon, 20 Feb 2006 18:01:46 +0330
> "Babak Farrokhi" <babak@rasana.net> wrote:
> 
> > Emanuel,
> > 
> > This one should work:
> > [...]
> 
> unfortunately not:
> 
> # patch -p1 < /tmp/nefu
> Hmm...  Looks like a unified diff to me...
> The text leading up to this was:
> --------------------------
> |diff -ruN nefu.orig/Makefile nefu/Makefile
> |--- nefu.orig/Makefile Sun Feb 19 21:18:44 2006
> |+++ nefu/Makefile      Sun Feb 19 22:20:25 2006
> --------------------------
> Patching file Makefile using Plan A...
> patch: **** malformed patch at line 59: -.include <bsd.port.mk>
> 
> Against what version did you build the patch? Please build it 
> against the current version:
> 
> ehaupt@beaver:/usr/ports/net-mgmt/nefu $ md5 *
> MD5 (Makefile) = 5c39708772b2b0fab5bd73a35abea2f6
> MD5 (distinfo) = 6ef25abd12230f46a554b4e799eec47c
> MD5 (pkg-descr) = 485307915885dbb134f38229f274d44f
> 
> Emanuel
Comment 7 Emanuel Haupt freebsd_committer 2006-02-20 22:25:11 UTC
State Changed
From-To: feedback->closed

Committed, thanks!